import request from '@/utils/request'

// 查询客户接触记录列表 
export function taskList(query) {
  return request({
    url: '/cust/reach/list',
    method: 'get',
    params: query
  })
}

// 查询客户搜索框
export function taskListDetail(query) {
  return request({
    url: '/cust/reach/query',
    method: 'get',
    params: query
  })
}
// 保存
export function saveAPI(data) {
  return request({
    url: `/cust/reach/save`,
    method: 'post',
    data
  })
}
// 查询客户历史接触记录
export function custContactHis(query) {
  return request({
    url: '/cust/reach/query/history',
    method: 'get',
    params: query
  })
}